%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Script .m MATLAB para continuar la simulación establecida en 'OPC'
% Uso de comunicación OPC
% Tras el reconocimiento de la pieza por visión artificial, se toman una
% serie de medidas, en función de si la pieza era correcta o no.
% Se ejecuta una simulación u otra en función de lo anterior
% 
% Finalmente se termina y elimina la comunicación OPC
%
% Creado por:
%   - Rodrigo Sancho García
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Evalua del WorkSpace las variables a utilizar
SizeCorrecto = evalin('base','SizeCorrecto');
ColorCorrecto = evalin('base','ColorCorrecto');

% Determina si la Pieza es correcta o en caso contrario se descarta
if SizeCorrecto==true & ColorCorrecto==true
    DescartarPieza=0;
else 
    DescartarPieza=1;
    fprintf('PiezaIncorrecta\n')
    fprintf('Descartando...')
end

% Escribe en RobotStudio si la pieza era correcta
write(PiezaNoValida,DescartarPieza);
write(PiezaAnalizada,1);

% Ejecución en MATLAB de la segunda parte de la simulación, en el que se
% selecciona la pieza o se descarta
EstacionMATLAB2(DescartarPieza);

% Desconexion y Borrado de la comunicación OPC. Limpieza de variables OPC
disconnect(Cliente)
delete(Cliente)
clear Cliente Variables
close(gcf)
